SMBBETA

Get a private Person

Last updated Oct 10, 2026View as MarkdownAgent setup / MCP
GET
/v1/people/{person_id}

Read an authorized Person name and version in the selected Workspace. Contact details are not included.

Authorization

AuthorizationBearer <token>

Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.

In: header

Path Parameters

person_id*string
Match^person_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

SMB-Workspace-Id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/people/string" \  -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",    "display_name": "string",    "version": 1  },  "request_id": "string"}